<template>

    <div class="basket__view" v-for="(option, index) in options" :key="index" :class="{ basket__popup: customClass }">
        <img :src="option.variation.images ? option.variation.images[0].url : 'https://upload.wikimedia.org/wikipedia/commons/8/84/Nothing_silhouette.jpg'" alt="carriage-article" class="basket__view--img basket__image--article">
        <p class="basket__view--name">{{ option.variation.name }}</p>
        <div class="basket__quantity basket__view--quantity">
            <button class="button--quantity button--more" @click="changeCardParams('minus', option.quantity, option.id)">-</button>
            <input class="basket__quantity--input" type="text" name="quantity" :value="option.quantity">
            <button class="button--quantity button--more" @click="changeCardParams('plus', option.quantity, option.id)">+</button>
        </div>
        <p class="basket__view--price">{{ option.price }} грн</p>
    </div>


</template>

<script setup>

const { $snotify } = useNuxtApp()
const loader = ref(false);

const emit = defineEmits(['clickIsHere']); 

function clickHandler() {
    emit('clickIsHere')
} 


const props = defineProps({
    customClass: {
        type: Boolean,
        default: false
    },
    options: {
        type: [Array, Object],
        default() {
            return []
        }
    }
});



async function changeRecordCard(e) {
    try {
        const syncCarts = await $api().carts.syncCards({changed:e})
        clickHandler() 
    }
    catch (e) {
        $snotify.error(e.data);
    }
}

function changeCardParams(act, quantity, id) {
    
    const changed = []
    changed.push({
        id,
        quantity: act === 'plus' ? quantity + 1 : quantity - 1
    })
    
        
    changeRecordCard(changed)

}



</script>
